Index: modules/FastJetFinder.cc
===================================================================
--- modules/FastJetFinder.cc	(revision 03381edbdc5715aa295d16a1a0185911ccc9a2c5)
+++ modules/FastJetFinder.cc	(revision 3b3d0ad0fde20132ca239bc0a02c8e0e5aff0f7e)
@@ -120,5 +120,4 @@
   fJetPTMin = GetDouble("JetPTMin", 10.0);
 
- 
   //-- N(sub)jettiness parameters --
 
@@ -130,53 +129,54 @@
 
   //-- Exclusive clustering for e+e- collisions --
-  
+
   fNJets = GetInt("NJets",2);
   fExclusiveClustering = GetBool("ExclusiveClustering", false);
 
   //-- Valencia Linear Collider algorithm
+
   fGamma = GetDouble("Gamma", 1.0);
   //fBeta parameter see above
-  
+
   fMeasureDef = new NormalizedMeasure(fBeta, fParameterR);
-   
+
   switch(fAxisMode)
   {
     default:
-      case 1:
-        fAxesDef = new WTA_KT_Axes();
-        break;
-      case 2:
-        fAxesDef = new OnePass_WTA_KT_Axes();
-        break;
-      case 3:
-        fAxesDef = new KT_Axes();
-        break;
-      case 4:
-        fAxesDef = new OnePass_KT_Axes();
-   }
+    case 1:
+      fAxesDef = new WTA_KT_Axes();
+      break;
+    case 2:
+      fAxesDef = new OnePass_WTA_KT_Axes();
+      break;
+    case 3:
+      fAxesDef = new KT_Axes();
+      break;
+    case 4:
+      fAxesDef = new OnePass_KT_Axes();
+  }
 
   //-- Trimming parameters --
-  
+
   fComputeTrimming = GetBool("ComputeTrimming", false);
   fRTrim = GetDouble("RTrim", 0.2);
   fPtFracTrim = GetDouble("PtFracTrim", 0.05);
-  
+
 
   //-- Pruning parameters --
-  
+
   fComputePruning = GetBool("ComputePruning", false);
   fZcutPrun = GetDouble("ZcutPrun", 0.1);
   fRcutPrun = GetDouble("RcutPrun", 0.5);
   fRPrun = GetDouble("RPrun", 0.8);
- 
+
   //-- SoftDrop parameters --
-  
+
   fComputeSoftDrop     = GetBool("ComputeSoftDrop", false);
   fBetaSoftDrop        = GetDouble("BetaSoftDrop", 0.0);
   fSymmetryCutSoftDrop = GetDouble("SymmetryCutSoftDrop", 0.1);
   fR0SoftDrop= GetDouble("R0SoftDrop=", 0.8);
-  
 
   // ---  Jet Area Parameters ---
+
   fAreaAlgorithm = GetInt("AreaAlgorithm", 0);
   fComputeRho = GetBool("ComputeRho", false);
@@ -195,23 +195,23 @@
   switch(fAreaAlgorithm)
   {
-    case 1:
-      fAreaDefinition = new AreaDefinition(active_area_explicit_ghosts, GhostedAreaSpec(fGhostEtaMax, fRepeat, fGhostArea, fGridScatter, fPtScatter, fMeanGhostPt));
-      break;
-    case 2:
-      fAreaDefinition = new AreaDefinition(one_ghost_passive_area, GhostedAreaSpec(fGhostEtaMax, fRepeat, fGhostArea, fGridScatter, fPtScatter, fMeanGhostPt));
-      break;
-    case 3:
-      fAreaDefinition = new AreaDefinition(passive_area, GhostedAreaSpec(fGhostEtaMax, fRepeat, fGhostArea, fGridScatter, fPtScatter, fMeanGhostPt));
-      break;
-    case 4:
-      fAreaDefinition = new AreaDefinition(VoronoiAreaSpec(fEffectiveRfact));
-      break;
-    case 5:
-      fAreaDefinition = new AreaDefinition(active_area, GhostedAreaSpec(fGhostEtaMax, fRepeat, fGhostArea, fGridScatter, fPtScatter, fMeanGhostPt));
-      break;
     default:
     case 0:
       fAreaDefinition = 0;
       break;
+    case 1:
+      fAreaDefinition = new AreaDefinition(active_area_explicit_ghosts, GhostedAreaSpec(fGhostEtaMax, fRepeat, fGhostArea, fGridScatter, fPtScatter, fMeanGhostPt));
+      break;
+    case 2:
+      fAreaDefinition = new AreaDefinition(one_ghost_passive_area, GhostedAreaSpec(fGhostEtaMax, fRepeat, fGhostArea, fGridScatter, fPtScatter, fMeanGhostPt));
+      break;
+    case 3:
+      fAreaDefinition = new AreaDefinition(passive_area, GhostedAreaSpec(fGhostEtaMax, fRepeat, fGhostArea, fGridScatter, fPtScatter, fMeanGhostPt));
+      break;
+    case 4:
+      fAreaDefinition = new AreaDefinition(VoronoiAreaSpec(fEffectiveRfact));
+      break;
+    case 5:
+      fAreaDefinition = new AreaDefinition(active_area, GhostedAreaSpec(fGhostEtaMax, fRepeat, fGhostArea, fGridScatter, fPtScatter, fMeanGhostPt));
+      break;
   }
 
@@ -248,5 +248,5 @@
       fDefinition = new JetDefinition(fNjettinessPlugin);
       break;
-  case 9:
+    case 9:
       fValenciaPlugin = new ValenciaPlugin(fParameterR, fBeta, fGamma);
       fDefinition = new JetDefinition(fValenciaPlugin);
@@ -255,5 +255,5 @@
   }
 
-   
+
 
   fPlugin = plugin;
@@ -325,5 +325,5 @@
   Double_t time, timeWeight;
   Int_t number, ncharged, nneutrals;
-  Int_t charge; 
+  Int_t charge;
   Double_t rho = 0.0;
   PseudoJet jet, area;
@@ -336,5 +336,5 @@
   Double_t excl_ymerge45 = 0.0;
   Double_t excl_ymerge56 = 0.0;
-  
+
   DelphesFactory *factory = GetFactory();
 
@@ -381,5 +381,4 @@
   outputList.clear();
 
-  
   if(fExclusiveClustering)
     {
@@ -405,5 +404,5 @@
   detaMax = 0.0;
   dphiMax = 0.0;
-  
+
   for(itOutputList = outputList.begin(); itOutputList != outputList.end(); ++itOutputList)
   {
@@ -416,6 +415,4 @@
     if(fAreaDefinition) area = itOutputList->area_4vector();
 
-
-    
     candidate = factory->NewCandidate();
 
@@ -458,5 +455,5 @@
     candidate->DeltaEta = detaMax;
     candidate->DeltaPhi = dphiMax;
-    candidate->Charge = charge; 
+    candidate->Charge = charge;
     candidate->NNeutrals = nneutrals;
     candidate->NCharged = ncharged;
@@ -468,5 +465,5 @@
     candidate->ExclYmerge45 = excl_ymerge45;
     candidate->ExclYmerge56 = excl_ymerge56;
-    
+
     //------------------------------------
     // Trimming
@@ -478,29 +475,29 @@
       fastjet::Filter    trimmer(fastjet::JetDefinition(fastjet::kt_algorithm,fRTrim),fastjet::SelectorPtFractionMin(fPtFracTrim));
       fastjet::PseudoJet trimmed_jet = trimmer(*itOutputList);
-      
+
       trimmed_jet = join(trimmed_jet.constituents());
-     
+
       candidate->TrimmedP4[0].SetPtEtaPhiM(trimmed_jet.pt(), trimmed_jet.eta(), trimmed_jet.phi(), trimmed_jet.m());
-        
-      // four hardest subjets 
+
+      // four hardest subjets
       subjets.clear();
       subjets = trimmed_jet.pieces();
       subjets = sorted_by_pt(subjets);
-      
+
       candidate->NSubJetsTrimmed = subjets.size();
 
       for (size_t i = 0; i < subjets.size() and i < 4; i++)
       {
-	    if(subjets.at(i).pt() < 0) continue ; 
+	    if(subjets.at(i).pt() < 0) continue ;
  	    candidate->TrimmedP4[i+1].SetPtEtaPhiM(subjets.at(i).pt(), subjets.at(i).eta(), subjets.at(i).phi(), subjets.at(i).m());
       }
     }
-    
-    
+
+
     //------------------------------------
     // Pruning
     //------------------------------------
-    
-    
+
+
     if(fComputePruning)
     {
@@ -510,34 +507,34 @@
 
       candidate->PrunedP4[0].SetPtEtaPhiM(pruned_jet.pt(), pruned_jet.eta(), pruned_jet.phi(), pruned_jet.m());
-         
-      // four hardest subjet 
+
+      // four hardest subjet
       subjets.clear();
       subjets = pruned_jet.pieces();
       subjets = sorted_by_pt(subjets);
-      
+
       candidate->NSubJetsPruned = subjets.size();
 
       for (size_t i = 0; i < subjets.size() and i < 4; i++)
       {
-	    if(subjets.at(i).pt() < 0) continue ; 
+	    if(subjets.at(i).pt() < 0) continue ;
   	    candidate->PrunedP4[i+1].SetPtEtaPhiM(subjets.at(i).pt(), subjets.at(i).eta(), subjets.at(i).phi(), subjets.at(i).m());
       }
 
-    } 
-     
+    }
+
     //------------------------------------
     // SoftDrop
     //------------------------------------
-   
+
     if(fComputeSoftDrop)
     {
-    
+
       contrib::SoftDrop softDrop(fBetaSoftDrop,fSymmetryCutSoftDrop,fR0SoftDrop);
       fastjet::PseudoJet softdrop_jet = softDrop(*itOutputList);
-      
+
       candidate->SoftDroppedP4[0].SetPtEtaPhiM(softdrop_jet.pt(), softdrop_jet.eta(), softdrop_jet.phi(), softdrop_jet.m());
-        
-      // four hardest subjet 
-      
+
+      // four hardest subjet
+
       subjets.clear();
       subjets    = softdrop_jet.pieces();
@@ -549,5 +546,5 @@
       for (size_t i = 0; i < subjets.size()  and i < 4; i++)
       {
-	    if(subjets.at(i).pt() < 0) continue ; 
+	    if(subjets.at(i).pt() < 0) continue ;
   	    candidate->SoftDroppedP4[i+1].SetPtEtaPhiM(subjets.at(i).pt(), subjets.at(i).eta(), subjets.at(i).phi(), subjets.at(i).m());
             if(i==0) candidate->SoftDroppedSubJet1 = candidate->SoftDroppedP4[i+1];
@@ -555,10 +552,10 @@
       }
     }
-  
+
     // --- compute N-subjettiness with N = 1,2,3,4,5 ----
 
     if(fComputeNsubjettiness)
     {
-     
+
       Nsubjettiness nSub1(1, *fAxesDef, *fMeasureDef);
       Nsubjettiness nSub2(2, *fAxesDef, *fMeasureDef);
@@ -566,5 +563,5 @@
       Nsubjettiness nSub4(4, *fAxesDef, *fMeasureDef);
       Nsubjettiness nSub5(5, *fAxesDef, *fMeasureDef);
-     
+
       candidate->Tau[0] = nSub1(*itOutputList);
       candidate->Tau[1] = nSub2(*itOutputList);
@@ -572,5 +569,5 @@
       candidate->Tau[3] = nSub4(*itOutputList);
       candidate->Tau[4] = nSub5(*itOutputList);
-         
+
     }
 
Index: modules/FastJetFinder.h
===================================================================
--- modules/FastJetFinder.h	(revision 03381edbdc5715aa295d16a1a0185911ccc9a2c5)
+++ modules/FastJetFinder.h	(revision 3b3d0ad0fde20132ca239bc0a02c8e0e5aff0f7e)
@@ -42,6 +42,6 @@
     class NjettinessPlugin;
     class ValenciaPlugin;
-    class AxesDefinition; 
-    class MeasureDefinition;    
+    class AxesDefinition;
+    class MeasureDefinition;
   }
 }
@@ -63,6 +63,6 @@
   void *fRecomb; //!
 
-  fastjet::contrib::AxesDefinition *fAxesDef; 
-  fastjet::contrib::MeasureDefinition *fMeasureDef;    
+  fastjet::contrib::AxesDefinition *fAxesDef;
+  fastjet::contrib::MeasureDefinition *fMeasureDef;
 
   fastjet::contrib::NjettinessPlugin *fNjettinessPlugin; //!
@@ -90,5 +90,5 @@
   //-- Valencia Linear Collider algorithm
   Double_t fGamma;
-  
+
   //-- N (sub)jettiness parameters --
 
@@ -100,9 +100,9 @@
 
   //-- Trimming parameters --
-  
+
   Bool_t fComputeTrimming;
   Double_t fRTrim;
   Double_t fPtFracTrim;
-  
+
   //-- Pruning parameters --
 
